[vdr] [ANNOUNCE] vdr-xine-0.8.1 plugin

Reinhard Nissl rnissl at gmx.de
Wed Jan 2 18:23:24 CET 2008


Hi,

Ales Jurik schrieb:

>> vdr-xine: Client connecting ...
>> vdr-xine: Client reports unsupported version 712 => disconnecting!
>> vdr-xine: Client connect failed!
>
> The same problem had I. In xineCommon.h I've changed MIN_XINE_VDR_VERSION to 
> 712 (from 801) and everything seems to be ok. 

That's not correct. The check ensures that both ends of the
connection are compatible.

Maybe it was no good idea to not mention in the announcement that
this time xine-lib-1.1 needs to be patched or that you need to
pull xine-lib-1.2 respectively.

In both ways you'll get a vdr.h (.../xine-lib-1.1/src/vdr/vdr.h
or .../xine-lib-1.2/include/xine/vdr.h) which defines
XINE_VDR_VERSION as 801 and therefore matches
MIN_XINE_VDR_VERSION 801 in xineCommon.h. After building and
installing xine-lib, you'll find vdr.h in both cases in
.../include/xine/vdr.h.

BTW: As usual, the provided cvs archives (xine-lib-1.1 and
xine-ui) are without patches and provided for convenience. They
are meant to get replaced by upcoming releases of for example
xine-lib-1.1.9.

Bye.
-- 
Dipl.-Inform. (FH) Reinhard Nissl
mailto:rnissl at gmx.de



More information about the vdr mailing list